[pbs-devel] [PATCH proxmox-backup/proxmox-acme-rs/pwt] acme: add support for http_proxy and wildcard certs

Stoiko Ivanov s.ivanov at proxmox.com
Tue Nov 9 17:54:14 CET 2021


this series resulted from a fix for #3536 (for PVE), which I then extended to
cover all products (and their respective acme implementations)

additionally Fabian (Gruenbichler) and I discussed a thread in our
community-forum [0], where a user ran into a (unrelated and for us not reproducible issue),
but it made me notice that PBS does not support wildcard certificates.

the individual patches are mostly short and hopefully self-explaining

Tested on my setup with a publicly exposed powerdns-plugin and let's encrypt
(mostly staging)

[0] https://forum.proxmox.com/threads/no-connection-to-proxmox-backup-server-tls_process_server_certificate.97942/

proxmox-widget-toolkit:
Stoiko Ivanov (1):
  acmeplugin: add use-proxy checkbox

 src/window/ACMEPluginEdit.js | 8 ++++++++
 1 file changed, 8 insertions(+)

proxmox-acme-rs:
Stoiko Ivanov (1):
  client: add support for proxies

 src/client.rs | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

proxox-backup:
Stoiko Ivanov (6):
  api: config: acme: rustfmt
  config: acme: plugin: rustfmt
  api: acme: fix typo
  acme: client: read http_proxy from node config
  acme: plugin: add 'use-proxy' property
  acme: add support for wildcard certificates

 pbs-api-types/src/lib.rs      |  5 ++++
 src/acme/client.rs            |  8 +++++-
 src/acme/plugin.rs            | 23 +++++++++++++++++-
 src/api2/config/acme.rs       | 46 ++++++++++++++++++++++++++---------
 src/api2/node/certificates.rs |  2 +-
 src/api2/types/acme.rs        |  4 +--
 src/config/acme/plugin.rs     | 10 +++++++-
 src/config/node.rs            |  9 +++++++
 8 files changed, 90 insertions(+), 17 deletions(-)

--
2.30.2





More information about the pbs-devel mailing list